cmake_minimum_required(VERSION 3.21)
project(mirai LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 23)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
set(CMAKE_COMPILE_WARNING_AS_ERROR ON)

add_library(mirai-core 
	src/Mirai.cpp
	src/Task.cpp
	src/Day.cpp
	src/Event.cpp
	src/DateTime.cpp
	src/EventEmitter.cpp 
	src/Source.cpp 
	src/MarkdownDataProvider.cpp 
	src/MarkdownDataProvider.Parser.cpp 
	src/View.cpp
	src/utils.cpp
)

target_include_directories(mirai-core PRIVATE "external")
target_include_directories(mirai-core PRIVATE "include/mirai-core")
